//NPBPluginFactorySetUp.cpp - Saves me having to scroll through
//							  NPBPluginOrganiser.cpp each time to add a new
//							  plugin.
//	--------------------------------------------------------------------------
//	This file is part of 'Niall's Pedal Board', a simple ASIO VST host.
//	Copyright (C) 2004-2005  Niall Moody
//	
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//	
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//	
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//	
//	--------------------------------------------------------------------------
//	
//	You can e-mail me at niallmoody@yahoo.co.uk if you want.
//	
//	--------------------------------------------------------------------------

#include "NPBPluginOrganiser.h"
#include "NPBPlugin.h"
#include "NPBGain.h"
#include "NPBMono2Stereo.h"

//This is where you add to when you have a new kind of
//plugin-type-thing you want to add to the list of
//plugin-type-things.
void NPBPluginOrganiser::SetUpFactory()
{
	Factory.add(&NPBPlugin::myFactory);
	Factory[0]->setMenuText(T("Add a Plugin"));
	Factory.add(&NPBGain::myFactory);
	Factory[1]->setMenuText(T("Add a Gain"));
	Factory.add(&NPBMono2Stereo::myFactory);
	Factory[2]->setMenuText(T("Add a Mono2Stereo"));
}
